POST Contact/Validate
Some tooltip text!
• 8 minutes to read
• 8 minutes to read
POST /api/v1/Contact/Validate
Check that entity is ready for saving, return error messages by field.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: contactEntity
Entity to be checked for errors.
| Property Name | Type | Description |
|---|---|---|
| ContactId | Integer | Primary key |
| Name | String | Contact name |
| Department | String | Department |
| OrgNr | String | VAT number or similar |
| Number1 | String | Alphanumeric user field |
| Number2 | String | Alphanumeric user field |
| UpdatedDate | String | Date last updated in UTC. |
| CreatedDate | String | Date registered in UTC. |
| Emails | Array | The contact's email |
| Interests | Array | The contact's available and selected interests. |
| Urls | Array | The contact's internet adresses |
| Phones | Array | The contact's phone numbers |
| Faxes | Array | The contact's fax numbers |
| Description | String | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. |
| Persons | Array | The persons belonging to the contact. |
| NoMailing | Boolean | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | String | Contact kana name, used in Japanese versions only |
| Xstop | Boolean | STOP flag |
| ActiveInterests | Integer | The number of active interests. |
| GroupId | Integer | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | |
| TicketPriority | TicketPriority | |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | Integer | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | Integer | Integration agent (eJournal) |
| DbiLastSyncronized | String | Last external syncronization. |
| DbiKey | String | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | String | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. |
| Source | Integer | How did we get this contact? For future integration needs |
| ActiveErpLinks | Integer | The number of active erp links |
| BounceEmails | Array | Email addresses with a positive bounce counter. |
| Domains | Array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and |
Response:object
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: object
Sample request
POST /api/v1/Contact/Validate
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ContactId": 874,
"Name": "Hilpert Inc and Sons",
"Department": "",
"OrgNr": "1727749",
"Number1": "754119",
"Number2": "1075895",
"UpdatedDate": "2012-07-07T14:34:01.8198296+02:00",
"CreatedDate": "2001-02-11T14:34:01.8198296+01:00",
"Emails": [
{
"Value": "nesciunt",
"StrippedValue": "architecto",
"Description": "Versatile transitional alliance"
},
{
"Value": "nesciunt",
"StrippedValue": "architecto",
"Description": "Versatile transitional alliance"
}
],
"Interests": [
{
"Id": 734,
"Name": "Dickinson LLC",
"ToolTip": "Quam tenetur.",
"Deleted": false,
"Rank": 115,
"Type": "nam",
"ColorBlock": 15,
"IconHint": "animi",
"Selected": false,
"LastChanged": "2014-02-23T14:34:01.8198296+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "vel",
"StyleHint": "totam",
"Hidden": false,
"FullName": "Josephine Kristofer Halvorson PhD"
}
],
"Urls": [
{
"Value": "rerum",
"StrippedValue": "quo",
"Description": "Switchable asynchronous array"
},
{
"Value": "rerum",
"StrippedValue": "quo",
"Description": "Switchable asynchronous array"
}
],
"Phones": [
{
"Value": "consectetur",
"StrippedValue": "sint",
"Description": "Profound mission-critical time-frame"
},
{
"Value": "consectetur",
"StrippedValue": "sint",
"Description": "Profound mission-critical time-frame"
}
],
"Faxes": [
{
"Value": "qui",
"StrippedValue": "at",
"Description": "Centralized mobile superstructure"
},
{
"Value": "qui",
"StrippedValue": "at",
"Description": "Centralized mobile superstructure"
}
],
"Description": "Networked even-keeled neural-net",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "quis",
"PersonId": 916,
"Mrmrs": "ex",
"Firstname": "Van",
"Lastname": "Ebert",
"MiddleName": "Haley-Carroll",
"Title": "aut",
"Description": "Synergized system-worthy orchestration",
"Email": "clarissa@muller.uk",
"FullName": "Jany McDermott",
"DirectPhone": "(180)875-8243 x2233",
"FormalName": "Jacobs-Kuhic",
"CountryId": 121,
"ContactId": 509,
"ContactName": "Frami, Kovacek and Mayert",
"Retired": 961,
"Rank": 840,
"ActiveInterests": 916,
"ContactDepartment": "",
"ContactCountryId": 173,
"ContactOrgNr": "1632280",
"FaxPhone": "191-795-0850",
"MobilePhone": "(223)619-4874",
"ContactPhone": "005.059.8016 x3814",
"AssociateName": "Carter Group",
"AssociateId": 934,
"UsePersonAddress": false,
"ContactFax": "et",
"Kanafname": "debitis",
"Kanalname": "aliquid",
"Post1": "at",
"Post2": "perspiciatis",
"Post3": "fugiat",
"EmailName": "maurine_volkman@abshirecassin.ca",
"ContactFullName": "Isabelle Gulgowski",
"ActiveErpLinks": 767,
"TicketPriorityId": 771,
"SupportLanguageId": 153,
"SupportAssociateId": 61,
"CategoryName": "VIP Customer",
"PersonNumber": "1622181"
}
],
"NoMailing": false,
"Kananame": "sit",
"Xstop": false,
"ActiveInterests": 547,
"GroupId": 524,
"ActiveStatusMonitorId": 128,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 36,
"DbiAgentId": 712,
"DbiLastSyncronized": "2010-06-19T14:34:01.8244014+02:00",
"DbiKey": "aliquam",
"DbiLastModified": "2024-02-12T14:34:01.8244014+01:00",
"SupportPerson": null,
"Address": null,
"Source": 4,
"ActiveErpLinks": 321,
"BounceEmails": [
"dell.witting@effertz.uk",
"dorothea@hagenes.com"
],
"Domains": [
"tenetur",
"cupiditate"
],
"UtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Peyton Pierre Will IV",
"SuperOffice:2": "Dr. Charity Connelly Jr."
},
"ExtraFields": {
"ExtraFields1": "optio",
"ExtraFields2": "aliquam"
},
"CustomFields": {
"CustomFields1": "consectetur",
"CustomFields2": "et"
}
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"1": "reprehenderit",
"2": "est"
}